#alert-container {
    position: fixed;
    right: 5px;
    top: 100px;
    z-index: 9999999;
}

#alert-container .alert {
    position: relative;
    font-weight: 400;
    margin-bottom: 10px;
    max-width: 450px !important;
    min-height: 45px !important;
    padding: 15px 40px 15px 60px;
    box-shadow: 0 4px 10px 0 rgba(3, 3, 3, 0.1);
}

#alert-container .alert.alert-success {
    background-color: #bff9d0;
    color: #299c77;
}

#alert-container .alert .message-icon {
    position: absolute;
    top: 30%;
    left: 5%;
    font-size: 20px;
    fill: #299c77;
    stroke: #299c77;
}

#alert-container .alert.alert-dismissible .close {
    position: absolute;
    top: 20px;
    right: 15px;
    font-size: 10px;
    padding: 0;
}

.opacity-0 {
    opacity: 0;
}

.height-100-percent {
    height: 100%;
}

.show-admin-bar #mobile-menu nav.fixed,
.show-admin-bar .preloader,
.show-admin-bar .scroll-progress,
.show-admin-bar header.sticky-bar.stick {
    top: 40px !important;
}

/* Embed Responsive */
.embed-responsive {
    display: block;
    overflow: hidden;
    padding: 0;
    position: relative;
    width: 100%;
}

.embed-responsive:before {
    content: "";
    display: block;
}

.embed-responsive-16by9:before {
    padding-top: 56.25%;
}

.embed-responsive .embed-responsive-item,
.embed-responsive embed,
.embed-responsive iframe,
.embed-responsive object,
.embed-responsive video {
    position: absolute;
    top: 0;
    left: 0;
    border: 0;
    width: 100%;
    height: 100%;
}

/* Utilities */
.position-relative {
    position: relative !important;
}

/* Post Modules */
.post-module-1 .post-content-overlay {
    position: absolute;
    bottom: 15px;
    left: 15px;
    padding-right: 15px;
    transition: all 0.2s;
}

.post-module-1 .post-thumb:hover .post-content-overlay {
    bottom: 20px;
    transition: all 0.2s;
}

.post-module-1 .list-post .post-thumb {
    width: 130px;
    height: 100px;
}

.post-module-1 .img-hover-slide {
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 280px;
    overflow: hidden;
    -ms-transition: all 0.4s ease;
    transition: all 0.4s ease;
}

.post-module-1 .thumb-overlay {
    position: relative;
}

.post-module-1 .thumb-overlay:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -ms-border-radius: 5px;
    background: linear-gradient(180deg, transparent 50%, rgba(0, 0, 0, 0.8));
    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    transition: all 0.4s ease;
}

.post-module-1 .thumb-overlay:hover:before {
    background-color: rgba(0, 0, 0, 0.2);
}

/* Pagination */
.pagination-area .page-item,
.pagination-area .page-item:first-child {
    margin: 0;
}

.pagination-area .page-link {
    padding: 0 10px;
    font-size: 15px;
    background: none;
    border: 0;
    box-shadow: none;
    outline: 0;
    text-align: center;
}

.pagination-area .page-item.active .page-link {
    background: none;
    border: 0;
    box-shadow: none;
    outline: 0;
    position: relative;
    z-index: 1;
}

.pagination-area .page-item.active .page-link:hover,
.pagination-area .page-link:hover {
    color: #ef3f48;
}

/* Others */
.d-none {
    display: none;
}

/* Dialog */
.bb-dialog-mask .form-control-lg {
    font-size: 1em !important;
}

.bb-dialog-wrapper .align-items-center {
    text-align: center;
}

.bb-dialog-wrapper .bb-dialog-footer .small.text-end {
    display: block;
    font-size: 0.9em;
    padding: 10px 0;
    text-align: center;
}

.bb-dialog-wrapper .bb-dialog-footer button[type=submit] {
    width: 100%;
}

/* TOC */
.toc-container .toc_list > li {
    position: relative;
    counter-increment: toc 1;
    counter-reset: subtoc 0;
    padding: 5px 5px 5px 37px;
}

.toc-container .toc_list > li:before {
    content: counter(toc);
    position: absolute;
    top: 5px;
    left: 0;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 27px;
    height: 27px;
    background-color: #dee1f3;
    color: #474747;
    font-size: 13px;
    font-weight: 600;
    border-radius: 100px;
    transition: all 0.2s linear 0s;
    margin-right: 10px;
}

.toc-container .toc_list > li ul {
    padding-left: 0;
}

.toc-container .toc_list > li ul li {
    list-style-type: disc !important;
}

.toc-container .toc_list > li ul li::marker {
    font-size: 1rem;
}

/* Page Detail */
#page-post-detail-container {
    font-size: 14px;
}

#page-post-detail-container h1,
#page-post-detail-container h2,
#page-post-detail-container h3,
#page-post-detail-container h4,
#page-post-detail-container h5,
#page-post-detail-container h6 {
    font-weight: 600;
}

#page-post-detail-container h2,
#page-post-detail-container p {
    margin-bottom: 15px;
}

#page-post-detail-container .text-center img {
    margin-left: auto;
    margin-right: auto;
}
